<script lang="ts">
import Vue from 'vue';
import { MetaInfo } from 'vue-meta/types/vue-meta';
import {
  NextStepAlt,
  SideNavigationVariant,
} from '../components/common/index.vue';
import {
  Recognition,
  CopyBenefits,
  BenefitCards,
  Resources,
  Hero,
  Solutions,
} from '../components/atlassian/index.vue';
import { getPageMetadata } from '~/common/meta';

export default Vue.extend({
  components: {
    CopyBenefits,
    BenefitCards,
    NextStepAlt,
    Resources,
    Hero,
    SideNavigationVariant,
    Recognition,
    Solutions,
  },
  nuxtI18n: false,
  async asyncData({ $content }) {
    const data = await $content('move-to-gitlab-from-atlassian').fetch();
    return { data };
  },
  data() {
    return {};
  },
  head(): MetaInfo {
    return getPageMetadata((this as any).data, this.$route.path);
  },
});
</script>

<template>
  <div class="atlassian-wrapper">
    <Hero class="atlassian-hero" :data="data.solutions_hero" />
    <BenefitCards :data="data.benefit_cards" />
    <SideNavigationVariant
      :links="data.side_navigation_links"
      :text-link="data.side_navigation_text_link"
    >
      <CopyBenefits id="bitbucket" :data="data.copy_benefits_bitbucket" />
      <CopyBenefits id="jira" :data="data.copy_benefits_jira" />
      <CopyBenefits id="confluence" :data="data.copy_benefits_confluence" />
      <CopyBenefits id="bamboo" :data="data.copy_benefits_bamboo" />
    </SideNavigationVariant>
    <Resources :data="data.resources" />
    <Recognition :data="data.recognition" />
    <Solutions :data="data.atlassian_solutions" />
    <NextStepAlt :variant="2" />
  </div>
</template>

<style scoped lang="scss">
.atlassian-wrapper {
  overflow: hidden;
  position: relative;

  @media (min-width: $breakpoint-md) {
    &::before {
      content: '';
      background: url('/nuxt-images/atlassian/Vector.png');
      position: absolute;
      background-repeat: no-repeat;
      width: 50%;
      height: 100%;
      z-index: -2;
      left: 0;
      top: 100vh;
    }

    &::after {
      content: '';
      background: url('/nuxt-images/atlassian/VectorResources.png');
      position: absolute;
      background-repeat: no-repeat;
      width: 50%;
      height: 100%;
      z-index: -1;
      left: 0;
      top: calc(100% - 1600px);
    }
  }

  .atlassian-hero {
    position: static;

    @media (min-width: $breakpoint-md) {
      &::before {
        content: '';
        background: url('/nuxt-images/atlassian/VectorHero.png');
        position: absolute;
        background-repeat: no-repeat;
        z-index: -1;
        width: 50%;
        height: 100%;
        right: -30vw;
        top: -200px;
      }
    }
  }

  #bitbucket {
    @media (max-width: $breakpoint-md) {
      margin-top: $spacing-32;
    }
  }
}

div[role='main'] {
  overflow: clip;
}
</style>
